Bug 450211 - ERROR failed to start web gui: 'module' object has no attribute 'engine'
ERROR failed to start web gui: 'module' object has no attribute 'engine'
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-05 17:29 EDT by Eric Desgranges
Modified: 2015-01-04 18:32 EST (History)
2 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ipa_error.log (11.12 KB, text/plain)
2008-06-05 17:29 EDT, Eric Desgranges
no flags Details
fix ipa_webui shutdown and foreground (1.75 KB, patch)
2008-06-05 23:08 EDT, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Eric Desgranges 2008-06-05 17:29:05 EDT
Description of problem:Just after doing a fresh install I found that error in the logs after the first reboot. ipa_error.log attached.


Version-Release number of selected component (if applicable):


How reproducible:It's a Fedora 9 server in a Xen domU, ipa install, then reboot.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Eric Desgranges 2008-06-05 17:29:05 EDT
Created attachment 308490 [details]
ipa_error.log
Comment 2 Rob Crittenden 2008-06-05 23:08:59 EDT
Created attachment 308502 [details]
fix ipa_webui shutdown and foreground

Add our own SIGTERM handler so we can do clean shutdowns.

Also fix foreground mode.
Comment 3 Rob Crittenden 2008-06-09 22:13:06 EDT
master: 48f2e3c3dbf74afa1bbb2e0971dc9a7f444c1447
ipa-1-0: 108f4a7a28d67d68fa6e10585e9c11c25cbe6ee0

This will be fixed in freeipa when the tarball is updated.
Comment 5 Jenny Galipeau 2008-11-30 13:31:27 EST
Error is not found after reboot.
Fix Verified or not reproducible with Enterprise IPA

Note You need to log in before you can comment on or make changes to this bug.